src.backend.lib.pyShelf.Server(3)

NAME
src.backend.lib.pyShelf.Server

SYNOPSIS

  Public Member Functions
def __init__ (self, root)
def __aexit__ (self, *args, **kwargs)
def initialize_server (self)
def runImport (self)
def socketio (self, websocket, path)
def pong (self)
def start (self)

  Public Attributes
root
host
config
loop
serve

Detailed Description

Main Server Container
:TODO: Document this

Constructor & Destructor Documentation

  def src.backend.lib.pyShelf.Server.__init__ ( self, root)

Member Function Documentation

  def src.backend.lib.pyShelf.Server.__aexit__ ( self, * args, ** kwargs)

  def src.backend.lib.pyShelf.Server.initialize_server ( self)

  def src.backend.lib.pyShelf.Server.pong ( self)

  def src.backend.lib.pyShelf.Server.runImport ( self)

  def src.backend.lib.pyShelf.Server.socketio ( self, websocket, path)

  def src.backend.lib.pyShelf.Server.start ( self)

Member Data Documentation

  src.backend.lib.pyShelf.Server.config

  src.backend.lib.pyShelf.Server.host

  src.backend.lib.pyShelf.Server.loop

  src.backend.lib.pyShelf.Server.root

  src.backend.lib.pyShelf.Server.serve

Author

Generated automatically by Doxygen for pyShelf Open Source Ebook Server from the source code.